Subject: bug#65843: 28.2; Too many iconified frames in .emacs.desktop -> crash (macOS)

From: Alan Third <[email-masked]>
Date: Sun, 10 Sep 2023 20:54:50 +0100

On Sun, Sep 10, 2023 at 08:40:49PM +0200, Gerd Möllmann wrote:
> Alan Third <[email-masked]> writes:
> 
> > On Sun, Sep 10, 2023 at 05:37:17PM +0200, Gerd Möllmann wrote:
> >> Christian Tanzer <[email-masked]> writes:
> >> 
> >> > Weirder and weirder …
> >> 
> >> Wait a moment...  I just got this
> >> 
> >> [emacs-29] gerd@Mini 2023-09-10 17:24 
> >> ~/emacs/29/src/ > ~/emacs/29/src/emacs -Q --eval '(desktop-read "~/bug-sowieso")' 
> >> objc[88769]: autorelease pool page 0x11b4a5000 corrupted
> >>   magic     0x00000000 0x00000000 0x00000000 0x00000000
> >>   should be 0xa1a1a1a1 0x4f545541 0x454c4552 0x21455341
> >>   pthread   0x201892080
> >>   should be 0x201892080
> >> 
> >> Fatal error 6: Aborted
> >
> > I've a vague memory that I've seen something like this before and it
> > was a runaway loop corrupting the heap...
> 
> Sometimes one just has to be lucky enough :-).
> This is with the "-g -O2" build.
> 
> Does this tell you anything?

Is this the same error as above, with the corrupt autorelease pool?

>     frame #27: 0x00000001a9b12b18 AppKit`-[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 716
>     frame #28: 0x000000010052e0d4 emacs`ns_send_appdefined(value=-1) at nsterm.m:4569:24 [opt]

This is an interesting little bit of code with a comment saying it's
been added to cover for what sounds like a bug in macOS 10.10...
Perhaps it's worth removing it and seeing if that helps.

The code's around nsterm.m line 4569, and the whole #ifdef'd section
should be removed.

I still suspect that if we have a corrupt autorelease pool, the
problem will be somewhere entirely different...
-- 
Alan Third